For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
            • GETGet Order
            • PUTUpdate Order
            • DELArchive Order
            • GETGet Count of Orders
            • GETList Orders
            • POSTCreate Order
            • DELDelete All Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrders

Get Count of Orders

GET
https://api.bigcommerce.com/stores/:store_hash/v2/orders/count
GET
/stores/:store_hash/v2/orders/count
$curl https://api.bigcommerce.com/stores/store_hash/v2/orders/count \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200response
1{
2 "statuses": [
3 {
4 "count": 15,
5 "custom_label": "Incomplete - Testing",
6 "id": 0,
7 "name": "Incomplete",
8 "sort_order": 0,
9 "system_description": "An incomplete order happens when a shopper reached the payment page, but did not complete the transaction.",
10 "system_label": "Incomplete"
11 },
12 {
13 "count": 4,
14 "custom_label": "Pending",
15 "id": 1,
16 "name": "Pending",
17 "sort_order": 1,
18 "system_description": "Customer started the checkout process, but did not complete it.",
19 "system_label": "Pending"
20 },
21 {
22 "count": 48,
23 "custom_label": "Awaiting Payment",
24 "id": 7,
25 "name": "Awaiting Payment",
26 "sort_order": 2,
27 "system_description": "Customer has completed checkout process, but payment has yet to be confirmed.",
28 "system_label": "Awaiting Payment"
29 },
30 {
31 "count": 31,
32 "custom_label": "Awaiting Fulfillment",
33 "id": 11,
34 "name": "Awaiting Fulfillment",
35 "sort_order": 3,
36 "system_description": "Customer has completed the checkout process and payment has been confirmed.",
37 "system_label": "Awaiting Fulfillment"
38 },
39 {
40 "count": 1,
41 "custom_label": "Awaiting Shipment",
42 "id": 9,
43 "name": "Awaiting Shipment",
44 "sort_order": 4,
45 "system_description": "Order has been pulled and packaged, and is awaiting collection from a shipping provider.",
46 "system_label": "Awaiting Shipment"
47 },
48 {
49 "count": 0,
50 "custom_label": "Awaiting Pickup",
51 "id": 8,
52 "name": "Awaiting Pickup",
53 "sort_order": 5,
54 "system_description": "Order has been pulled, and is awaiting customer pickup from a seller-specified location.",
55 "system_label": "Awaiting Pickup"
56 },
57 {
58 "count": 1,
59 "custom_label": "Partially Shipped",
60 "id": 3,
61 "name": "Partially Shipped",
62 "sort_order": 6,
63 "system_description": "Only some items in the order have been shipped, due to some products being pre-order only or other reasons.",
64 "system_label": "Partially Shipped"
65 },
66 {
67 "count": 11,
68 "custom_label": "Completed - Testing",
69 "id": 10,
70 "name": "Completed",
71 "sort_order": 7,
72 "system_description": "Client has paid for their digital product and their file(s) are available for download.",
73 "system_label": "Completed"
74 },
75 {
76 "count": 14,
77 "custom_label": "Shipped",
78 "id": 2,
79 "name": "Shipped",
80 "sort_order": 8,
81 "system_description": "Order has been shipped, but receipt has not been confirmed; seller has used the Ship Items action.",
82 "system_label": "Shipped"
83 },
84 {
85 "count": 5,
86 "custom_label": "Cancelled",
87 "id": 5,
88 "name": "Cancelled",
89 "sort_order": 9,
90 "system_description": "Seller has cancelled an order, due to a stock inconsistency or other reasons.",
91 "system_label": "Cancelled"
92 },
93 {
94 "count": 0,
95 "custom_label": "Declined",
96 "id": 6,
97 "name": "Declined",
98 "sort_order": 10,
99 "system_description": "Seller has marked the order as declined for lack of manual payment, or other reasons.",
100 "system_label": "Declined"
101 },
102 {
103 "count": 2,
104 "custom_label": "Refunded",
105 "id": 4,
106 "name": "Refunded",
107 "sort_order": 11,
108 "system_description": "Seller has used the Refund action.",
109 "system_label": "Refunded"
110 },
111 {
112 "count": 0,
113 "custom_label": "Disputed",
114 "id": 13,
115 "name": "Disputed",
116 "sort_order": 12,
117 "system_description": "Customer has initiated a dispute resolution process for the PayPal transaction that paid for the order.",
118 "system_label": "Disputed"
119 },
120 {
121 "count": 0,
122 "custom_label": "Manual Verification Required",
123 "id": 12,
124 "name": "Manual Verification Required",
125 "sort_order": 13,
126 "system_description": "Order is on hold while some aspect needs to be manually confirmed.",
127 "system_label": "Manual Verification Required"
128 },
129 {
130 "count": 1,
131 "custom_label": "Partially Refunded",
132 "id": 14,
133 "name": "Partially Refunded",
134 "sort_order": 14,
135 "system_description": "Seller has partially refunded the order.",
136 "system_label": "Partially Refunded"
137 }
138 ],
139 "count": 133
140}
Gets an array of orders in the store organized by order status.
Was this page helpful?
Previous

Archive Order

Next

List Orders

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

min_idintegerOptional
The minimum order ID.
max_idintegerOptional
The maximum order ID.
min_totaldoubleOptional
The minimum order total in floating point format. eg. 12.50
max_totaldoubleOptional
The maximum order total in floating point format. eg. 12.50
customer_idintegerOptional
Customer ID.
emailstringOptional
The email of the customer.
status_idintegerOptional

The status ID of the order. You can get the status id from the /orders endpoints.

cart_idstringOptional
The cart ID of the order.
payment_methodstringOptional

The display name of the payment method used on the order. For example, Manual, Credit Card, cash, Test Payment Gateway, etc.’

min_date_createdstringOptional

Minimum date the order was created in RFC-2822 or ISO-8601.

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

max_date_createdstringOptional

Maximum date the order was created in RFC-2822 or ISO-8601.

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

min_date_modifiedstringOptional

Minimum date the order was modified in RFC-2822 or ISO-8601.

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

max_date_modifiedstringOptional

Maximum date the order was modified in RFC-2822 or ISO-8601.

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

channel_idintegerOptional
The channel ID of the sales channel the shopper used to place the order.
external_order_idstringOptional
The order ID in another system, such as the Amazon Order ID if this is an Amazon order. After setting it, you can update this field using a POST or PUT request.

Response

Order Counter response collection.
statuseslist of objects
countdouble
Total number of orders in the store.

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.